<?php
/*
Plugin Name: AddInto
Plugin URI: http://www.addinto.com/tools/wordpress.php
Description: AddInto is a bookmarking and sharing button that helps website publishers and bloggers spread their content across the web by making it easy for visitors to bookmark and share content to their favorite social destinations. (<a href="options-general.php?page=/addinto/addinto_plugin.php">Settings</a>)
Version: 2.1.9
Author: AddInto
Author URI: http://www.addinto.com
*/


class AddInto_plugin {
	var $addInto_plugin_logos;
	var $bloginfo_lng;
	
	function AddInto_plugin () {
		add_filter('the_content', array(&$this, 'display'));
		add_filter('admin_menu', array(&$this, 'admin_menu'));
		
		add_option('ai2_button_logo', 'logo_addinto');
		add_option('ai2_align', 'left');
		add_option('ai2_display_on_home', 'yes');
		add_option('ai2_display_on_pages', 'no');
		add_option('ai2_display_on_archives', 'yes');
		add_option('ai2_display_on_categories', 'yes');
		add_option('ai2_lightbox_popup', 'lightbox');
		add_option('ai2_hide_embeds', 'no');
		add_option('ai2_dd_onclick', 'onmouseover_dd');
		add_option('ai2_nb_srvs');
		add_option('ai2_nb_columns');
		add_option('ai2_srv');
		add_option('ai2_srvs');
		
		load_plugin_textdomain('addinto',WP_PLUGIN_DIR.'/'.dirname(plugin_basename(__FILE__)),dirname(plugin_basename(__FILE__)).'/lang');
		
		$this->addInto_plugin_logos = get_bloginfo('wpurl').'/wp-content/plugins/addinto/logos';
		$this->bloginfo_lng = get_bloginfo('language');
		
		if($_POST['addinto']) {
			$this->update_vars($_POST['addinto']);
		}
	}
	
	function update_vars ($vars) {
		foreach($vars as $key => $value) {
				update_option($key, $value);
		}
	}
	
	function admin_menu () {
		add_options_page('AddInto Options', 'AddInto', 8, __FILE__, array(&$this, 'plugin_options'));
	}
	
	function plugin_options () {
	
	$langue = explode(",",$this->bloginfo_lng);
	$langue = StrToLower(substr(chop($langue[0]),0,2));
	$langue = ($langue == 'fr') ? 'fr' : 'en';
	
	// -----
	$partager_v2 = (get_option('ai2_button_logo') == 'partager_v2') ? ' checked="checked"' : '';
	$favoris_partage_v2 = (get_option('ai2_button_logo') == 'favoris_partage_v2') ? ' checked="checked"' : '';
	$bookmark_share_v2 = (get_option('ai2_button_logo') == 'bookmark_share_v2') ? ' checked="checked"' : '';
	$bookmark_v2 = (get_option('ai2_button_logo') == 'bookmark_v2') ? ' checked="checked"' : '';
	$share_v2 = (get_option('ai2_button_logo') == 'share_v2') ? ' checked="checked"' : '';
	$logo_addinto = (get_option('ai2_button_logo') == 'logo_addinto') ? ' checked="checked"' : '';
	$logo4 = (get_option('ai2_button_logo') == 'logo4') ? ' checked="checked"' : '';
	$logo1 = (get_option('ai2_button_logo') == 'logo1') ? ' checked="checked"' : '';
	$logo5 = (get_option('ai2_button_logo') == 'logo5_fr' or get_option('ai2_button_logo') == 'logo5_en') ? ' checked="checked"' : '';
	$logo7 = (get_option('ai2_button_logo') == 'logo7_fr' or get_option('ai2_button_logo') == 'logo7_en') ? ' checked="checked"' : '';
	// -----
	$align_left = (get_option('ai2_align') == 'left') ? ' selected="selected"' : '';
	$align_center = (get_option('ai2_align') == 'center') ? ' selected="selected"' : '';
	$align_right = (get_option('ai2_align') == 'right') ? ' selected="selected"' : '';
	// -----
	$display_on_home_yes = (get_option('ai2_display_on_home') == 'yes') ? ' checked="checked"' : '';
	$display_on_home_no = (get_option('ai2_display_on_home') == 'no') ? ' checked="checked"' : '';
	$display_on_pages_yes = (get_option('ai2_display_on_pages') == 'yes') ? ' checked="checked"' : '';
	$display_on_pages_no = (get_option('ai2_display_on_pages') == 'no') ? ' checked="checked"' : '';
	$display_on_archives_yes = (get_option('ai2_display_on_archives') == 'yes') ? ' checked="checked"' : '';
	$display_on_archives_no = (get_option('ai2_display_on_archives') == 'no') ? ' checked="checked"' : '';
	$display_on_categories_yes = (get_option('ai2_display_on_categories') == 'yes') ? ' checked="checked"' : '';
	$display_on_categories_no = (get_option('ai2_display_on_categories') == 'no') ? ' checked="checked"' : '';
	// -----
	$hide_embeds_yes = (get_option('ai2_hide_embeds') == 'yes') ? ' checked="checked"' : '';
	$hide_embeds_no = (get_option('ai2_hide_embeds') == 'no') ? ' checked="checked"' : '';
	// -----
	$onmouseover_dd = (get_option('ai2_dd_onclick') == 'onmouseover_dd') ? ' checked="checked"' : '';
	$onclick_dd = (get_option('ai2_dd_onclick') == 'onclick_dd') ? ' checked="checked"' : '';
	$onclick_box = (get_option('ai2_dd_onclick') == 'onclick_box') ? ' checked="checked"' : '';
	// -----
	$popup = (get_option('ai2_lightbox_popup') == 'popup') ? ' checked="checked"' : '';
	$lightbox = (get_option('ai2_lightbox_popup') == 'lightbox') ? ' checked="checked"' : '';
	// -----
	$nb_columns_2 = (get_option('ai2_nb_columns') == 2) ? ' selected="selected"' : '';
	$nb_columns_3 = (get_option('ai2_nb_columns') == 3) ? ' selected="selected"' : '';
	$nb_columns_4 = (get_option('ai2_nb_columns') == 4) ? ' selected="selected"' : '';
	$nb_columns_5 = (get_option('ai2_nb_columns') == 5) ? ' selected="selected"' : '';
	$nb_columns_6 = (get_option('ai2_nb_columns') == 6) ? ' selected="selected"' : '';
	?>

	<?php if ( !empty($_POST ) ) { ?>
	<div class="updated fade"><p><strong><?php _e('Options saved', 'addinto') ?></strong></p></div>
	<?php } ?>

	<div class="wrap">
	<h2><?php _e('AddInto Options', 'addinto') ?></h2>
		<form method="post" action="">
			<table class="form-table">
				<tr valign="top">
					<th scope="row"><?php _e('Button image', 'addinto') ?> :</th>
					<td>
						<?php if($langue == 'fr') { ?>
							<input type="radio" name="addinto[ai2_button_logo]" value="partager_v2"<?php echo $partager_v2; ?> id="partager_v2" /> 
								<label for="partager_v2"><img src="<?php echo $this->addInto_plugin_logos; ?>/partager_v2.gif" alt="" style="border:0;" /></label>
							<input type="radio" name="addinto[ai2_button_logo]" value="favoris_partage_v2"<?php echo $favoris_partage_v2; ?> id="favoris_partage_v2" /> 
								<label for="favoris_partage_v2"><img src="<?php echo $this->addInto_plugin_logos; ?>/favoris_partage_v2.gif" alt="" style="border:0;" /></label>
						<?php } ?>
						<input type="radio" name="addinto[ai2_button_logo]" value="bookmark_share_v2"<?php echo $bookmark_share_v2; ?> id="bookmark_share_v2" /> 
							<label for="bookmark_share_v2"><img src="<?php echo $this->addInto_plugin_logos; ?>/bookmark_share_v2.gif" alt="" style="border:0;" /></label>
						<input type="radio" name="addinto[ai2_button_logo]" value="bookmark_v2"<?php echo $bookmark_v2; ?> id="bookmark_v2" /> 
							<label for="bookmark_v2"><img src="<?php echo $this->addInto_plugin_logos; ?>/bookmark_v2.gif" alt="" style="border:0;" /></label>
						<input type="radio" name="addinto[ai2_button_logo]" value="share_v2"<?php echo $share_v2; ?> id="share_v2" /> 
							<label for="share_v2"><img src="<?php echo $this->addInto_plugin_logos; ?>/share_v2.gif" alt="" style="border:0;" /></label>
						<br />
						<input type="radio" name="addinto[ai2_button_logo]" value="logo_addinto"<?php echo $logo_addinto; ?> id="logo_addinto" /> 
							<label for="logo_addinto"><img src="<?php echo $this->addInto_plugin_logos; ?>/logo_addinto.gif" alt="" style="border:0;" /></label>
						<input type="radio" name="addinto[ai2_button_logo]" value="logo4"<?php echo $logo4; ?> id="logo4" />
							<label for="logo4"><img src="<?php echo $this->addInto_plugin_logos; ?>/logo4.gif" alt="" style="border:0;" /></label>
						<input type="radio" name="addinto[ai2_button_logo]" value="logo1"<?php echo $logo1; ?> id="logo1" />
							<label for="logo1"><img src="<?php echo $this->addInto_plugin_logos; ?>/logo1.gif" alt="" style="border:0;" /></label>
						<input type="radio" name="addinto[ai2_button_logo]" value="logo5_<?php echo $langue; ?>"<?php echo $logo5; ?> id="logo5" />
							<label for="logo5"><img src="<?php echo $this->addInto_plugin_logos; ?>/logo5_<?php echo $langue; ?>.gif" alt="" style="border:0;" /></label>
						<input type="radio" name="addinto[ai2_button_logo]" value="logo7_<?php echo $langue; ?>"<?php echo $logo7; ?> id="logo7" />
							<label for="logo7"><img src="<?php echo $this->addInto_plugin_logos; ?>/logo7_<?php echo $langue; ?>.gif" alt="" style="border:0;" /></label>
					</td>
				</tr>
				
				<tr valign="top">
					<th scope="row"><?php _e('Align', 'addinto') ?> :</th>
					<td>
						<select name="addinto[ai2_align]">
							<option value="left"<?php echo $align_left; ?>><?php _e('Left', 'addinto') ?></option>
							<option value="center"<?php echo $align_center; ?>><?php _e('Center', 'addinto') ?></option>
							<option value="right"<?php echo $align_right; ?>><?php _e('Right', 'addinto') ?></option>
						</select>
					</td>
				</tr>
				
				<tr valign="top">
					<th scope="row"><?php _e('Display on', 'addinto') ?> :</th>
					<td>
						<?php _e('Home', 'addinto') ?> : 
						<input type="radio" name="addinto[ai2_display_on_home]" value="yes"<?php echo $display_on_home_yes; ?> /> <?php _e('Yes', 'addinto') ?>
						<input type="radio" name="addinto[ai2_display_on_home]" value="no"<?php echo $display_on_home_no; ?> /> <?php _e('No', 'addinto') ?><br />
						<?php _e('Pages', 'addinto') ?> : 
						<input type="radio" name="addinto[ai2_display_on_pages]" value="yes"<?php echo $display_on_pages_yes; ?> /> <?php _e('Yes', 'addinto') ?>
						<input type="radio" name="addinto[ai2_display_on_pages]" value="no"<?php echo $display_on_pages_no; ?> /> <?php _e('No', 'addinto') ?><br />
						<?php _e('Archives', 'addinto') ?> : 
						<input type="radio" name="addinto[ai2_display_on_archives]" value="yes"<?php echo $display_on_archives_yes; ?> /> <?php _e('Yes', 'addinto') ?>
						<input type="radio" name="addinto[ai2_display_on_archives]" value="no"<?php echo $display_on_archives_no; ?> /> <?php _e('No', 'addinto') ?><br />
						<?php _e('Categories', 'addinto') ?> : 
						<input type="radio" name="addinto[ai2_display_on_categories]" value="yes"<?php echo $display_on_categories_yes; ?> /> <?php _e('Yes', 'addinto') ?>
						<input type="radio" name="addinto[ai2_display_on_categories]" value="no"<?php echo $display_on_categories_no; ?> /> <?php _e('No', 'addinto') ?>
					</td>
				</tr>
				
				<tr valign="top">
					<th scope="row"><?php _e('Lightbox/PopUp', 'addinto') ?> :</th>
					<td>
						<input type="radio" name="addinto[ai2_lightbox_popup]" value="lightbox"<?php echo $lightbox; ?> onclick="if(checked) { document.getElementById('s_srvs_td').style.display='block'; document.getElementById('s_srvs_th').style.display='block';  document.getElementById('embeds_td').style.display='block'; document.getElementById('embeds_th').style.display='block';  document.getElementById('c_dd_td').style.display='block'; document.getElementById('c_dd_th').style.display='block';  document.getElementById('nb_servs_td').style.display='block'; document.getElementById('nb_servs_th').style.display='block'; document.getElementById('nb_columns_td').style.display='block'; document.getElementById('nb_columns_th').style.display='block'; }" /> Lightbox
						<input type="radio" name="addinto[ai2_lightbox_popup]" value="popup"<?php echo $popup; ?> onclick="if(checked) { document.getElementById('s_srvs_td').style.display='none'; document.getElementById('s_srvs_th').style.display='none'; document.getElementById('embeds_td').style.display='none'; document.getElementById('embeds_th').style.display='none'; document.getElementById('c_dd_td').style.display='none'; document.getElementById('c_dd_th').style.display='none'; document.getElementById('nb_servs_td').style.display='none'; document.getElementById('nb_servs_th').style.display='none'; document.getElementById('nb_columns_td').style.display='none'; document.getElementById('nb_columns_th').style.display='none'; }" /> PopUp
					</td>
				</tr>
				
				<!--  lightbox version -->
				<tr valign="top">
					<th scope="row">
						<div id="embeds_th" <?php if(get_option('ai2_lightbox_popup') == 'popup') echo 'style="display:none;"'; ?>>
							<?php _e('Hide embedded objects :<br />(like flash and videos)', 'addinto') ?>
						</div>
					</th>
					<td>
						<div id="embeds_td" <?php if(get_option('ai2_lightbox_popup') == 'popup') echo 'style="display:none;"'; ?>>
							<input type="radio" name="addinto[ai2_hide_embeds]" value="yes"<?php echo $hide_embeds_yes; ?> /> <?php _e('Yes', 'addinto') ?>
							<input type="radio" name="addinto[ai2_hide_embeds]" value="no"<?php echo $hide_embeds_no; ?> /> <?php _e('No', 'addinto') ?> 
						</div>
					</td>
				</tr>
				
				<tr valign="top">
					<th scope="row">
						<div id="c_dd_th" <?php if(get_option('ai2_lightbox_popup') == 'popup') echo 'style="display:none;"'; ?>>
							<?php _e('Dropdown menu/Lightbox', 'addinto') ?> :
						</div>
					</th>
					<td>
						<div id="c_dd_td" <?php if(get_option('ai2_lightbox_popup') == 'popup') echo 'style="display:none;"'; ?>>
							<input type="radio" name="addinto[ai2_dd_onclick]" value="onmouseover_dd"<?php echo $onmouseover_dd; ?> /> <?php _e('Show dropdown menu onmouseover (default)', 'addinto') ?><br />
							<input type="radio" name="addinto[ai2_dd_onclick]" value="onclick_dd"<?php echo $onclick_dd; ?> /> <?php _e('Show dropdown menu onclick', 'addinto') ?><br />
							<input type="radio" name="addinto[ai2_dd_onclick]" value="onclick_box"<?php echo $onclick_box; ?> /> <?php _e('Show lightbox onclick (without the dropdown menu)', 'addinto') ?>
						</div>
					</td>
				</tr>
				
				<tr valign="top">
					<th scope="row">
						<div id="nb_servs_th" <?php if(get_option('ai2_lightbox_popup') == 'popup') echo 'style="display:none;"'; ?>>
							<?php _e('Number of services per page', 'addinto') ?> :
						</div>
					</th>
					<td>
						<div id="nb_servs_td" <?php if(get_option('ai2_lightbox_popup') == 'popup') echo 'style="display:none;"'; ?>>
							<input type="text" name="addinto[ai2_nb_srvs]" value="<?php echo get_option('ai2_nb_srvs'); ?>" /> <?php _e('(if empty, default = 32 services per page)', 'addinto') ?>
						</div>
					</td>
				</tr>
				
				<tr valign="top">
					<th scope="row">
						<div id="nb_columns_th" <?php if(get_option('ai2_lightbox_popup') == 'popup') echo 'style="display:none;"'; ?>>
							<?php _e('Number of columns in the lightbox', 'addinto') ?> :
						</div>
					</th>
					<td>
						<div id="nb_columns_td" <?php if(get_option('ai2_lightbox_popup') == 'popup') echo 'style="display:none;"'; ?>>
							<select name="addinto[ai2_nb_columns]">
								<option value=""><?php _e('Default', 'addinto') ?></option>
								<option value="2"<?php echo $nb_columns_2; ?>>2</option>
								<option value="3"<?php echo $nb_columns_3; ?>>3</option>
								<option value="4"<?php echo $nb_columns_4; ?>>4</option>
								<option value="5"<?php echo $nb_columns_5; ?>>5</option>
								<option value="6"<?php echo $nb_columns_6; ?>>6</option>
							</select>
							<?php _e('(default = 4 columns)', 'addinto') ?>
						</div>
					</td>
				</tr>
				
				<tr valign="top">
					<th scope="row">
						<div  id="s_srvs_th" <?php if(get_option('ai2_lightbox_popup') == 'popup') echo 'style="display:none;"'; ?>>
							<?php _e('Select services to display', 'addinto') ?> :
						</div>
					</th>
					<td>
						<div id="s_srvs_td" <?php if(get_option('ai2_lightbox_popup') == 'popup') echo 'style="display:none;"'; ?>>
							<div><?php _e('Click a link, select services you want to use in the new window, copy and paste them into the textarea (<u>leave empty to use the default services</u>)', 'addinto') ?></div>
							<div style="float:left;">
							<a href="http://www.addinto.com/tools/gen_srvs.php?var=ai2_srv" target="_blank"><?php _e('For, dropdown menu', 'addinto') ?></a> :<br />
							<textarea name="addinto[ai2_srv]" id="ai2_srv" cols="35" rows="3"><?php echo get_option('ai2_srv'); ?></textarea><br />
							<a style="cursor:pointer;float:right;" onclick="document.getElementById('ai2_srv').value = ''; return false;" title="Clear">[X]</a>
							</div>
							<div style="float:left;">
							<a href="http://www.addinto.com/tools/gen_srvs.php?var=ai2_srvs" target="_blank"><?php _e('For, lightbox', 'addinto') ?></a> : <br />
							<textarea name="addinto[ai2_srvs]" id="ai2_srvs" cols="35" rows="3"><?php echo get_option('ai2_srvs'); ?></textarea><br />
							<a style="cursor:pointer;float:right;" onclick="document.getElementById('ai2_srvs').value = ''; return false;" title="Clear">[X]</a>
							</div>
						</div>
					</td>
				</tr>
				
			</table>
			<p class="submit">
				<input type="submit" name="Submit" class="button-secondary" value="<?php _e('Save Changes', 'addinto') ?>" />
			</p>
		</form>
	</div>
	<?php
	}
	
	function write_button () {
		$post_link  = urlencode(get_permalink());
		$post_title = urlencode(get_the_title($post->ID));
		$logo = get_option('ai2_button_logo');
		$ai2_srv = (get_option('ai2_srv') != '') ? 'var ai2_bkmk = "'.get_option('ai2_srv').'";' : '';
		$ai2_srvs = (get_option('ai2_srvs') != '') ? 'var ai2_bkmks = "'.get_option('ai2_srvs').'";' : '';
		$ai2_hide_embeds = (get_option('ai2_hide_embeds') == 'yes') ? 'var ai2_hide_embeds = true;' : '';
		if(get_option('ai2_dd_onclick') == 'onclick_dd') { $onclick_dd = 'onclick'; $onclick_box = ''; }
		else if(get_option('ai2_dd_onclick') == 'onmouseover_dd') { $onclick_dd = 'onmouseover'; $onclick_box = ''; }
		else { $onclick_box = 'bkmk'; $onclick_dd = 'onclick'; }
		$onmouseout = (get_option('ai2_dd_onclick') != 'onclick_box') ? ' onmouseout="ai2close_bkmk();"' : '';
		$nb_servs = (get_option('ai2_nb_srvs') != '') ? 'var ai2_per_page = "'.get_option('ai2_nb_srvs').'";' : '';
		$nb_columns = (get_option('ai2_nb_columns') != '') ? 'var ai2_cols = "'.get_option('ai2_nb_columns').'";' : '';
		
		
		$button = '';
		$button .= '<div style="text-align:'.get_option('ai2_align').';">';
		if(get_option('ai2_lightbox_popup') == 'popup') {
			$button .= '<a href="http://www.addinto.com/ai?type=bkmk&amp;url='.$post_link.'&amp;title='.$post_title.'" onclick="javascript:(function(){window.open(\'http://www.addinto.com/ai?type=bkmk&amp;url='.$post_link.'&amp;title='.$post_title.'\', \'AddInto\', \'location=no, resizable=yes, scrollbars=yes, toolbar=no, menubar=no, status=no, width=560, height=335, left=\'+(screen.width-533)/2+\', top=\'+(screen.height-335)/2)})(); return false;">';
			$button .= '<script type="text/javascript" src="http://www.addinto.com/ai/ai2_bkmk.js"></script>';
		} else {
			$button .= '<a href="http://www.addinto.com/ai?type=bkmk&amp;url='.$post_link.'&amp;title='.$post_title.'" '.$onclick_dd.'="ai2display_bkmk(this, \''.$onclick_box.'\', \''.$post_title.'\', \''.$post_link.'\'); return false;"'.$onmouseout.'>';
			if($ai2_srv != '' || $ai2_srvs != '' || $ai2_hide_embeds != '' || $nb_servs != '' || $nb_columns != '') $button .= '<script type="text/javascript">'.$ai2_srv.$ai2_srvs.$ai2_hide_embeds.$nb_servs.$nb_columns.'</script>';
			$button .= '<script type="text/javascript" src="http://www.addinto.com/ai/ai2_bkmk.js"></script>';
		}
		$button .= '<img src="'.$this->addInto_plugin_logos.'/'.$logo.'.gif" alt="'.__('Bookmark/share via AddInto', 'addinto').'" style="border:0;" />';
		$button .= '</a>';
		$button .= '</div>';
		return $button;
	}
	
	function display ($content) {
			$display_home = get_option('ai2_display_on_home');
			$display_pages = get_option('ai2_display_on_pages');
			$display_archives = get_option('ai2_display_on_archives');
			$display_categories = get_option('ai2_display_on_categories');
		
		if (is_feed()) return $content;
		elseif (is_search()) return $content;
		elseif (is_single()) return $content .= $this->write_button();
		elseif (is_home() && $display_home == 'yes') return $content .= $this->write_button();
		elseif (is_page() && $display_pages == 'yes') return $content .= $this->write_button();
		elseif (is_archive() && $display_archives == 'yes') return $content .= $this->write_button();
		elseif (is_category() && $display_categories == 'yes') return $content .= $this->write_button();
	}

}

$AddInto =& new AddInto_plugin();
?>